class ocpattrauth::config inherits ocpattrauth::params {

  file {"/etc/saml2-attribute-authority":
    ensure => directory
  }

  file { "/etc/saml2-attribute-authority/configuration.conf":
    ensure => present,
    content => template("ocpattrauth/configuration.conf.erb"),
    owner => "${tomcat}",
    group => "${tomcat}",
    mode => 0640,
    require => File['/etc/saml2-attribute-authority'],
  }
  
  file { "/etc/saml2-attribute-authority/acl.json":
    ensure => present,
    content => template("ocpattrauth/acl.json.erb"),
    owner => "${tomcat}",
    group => "${tomcat}",
    mode => 0640,
    require => File['/etc/saml2-attribute-authority'],
  }
  
  file { "${keystore_file}":
    ensure => file,
    owner => "${tomcat}",
    group => "${tomcat}",
    mode => 0640,
  }
   
  file {"/etc/${tomcat}/server.xml":
    ensure  => present,
    content => template("ocpattrauth/server.xml.erb"),
    owner   => "${tomcat}",
    group   => "${tomcat}",
    mode    => 0640,
    require => File["${keystore_file}"],
  }

}
