class ocpattrauth::database inherits ocpattrauth::params {

  $override_options = {
    'mysqld' => {
      'bind-address'    => "${db_bind_address}",
      'max_connections' => $max_connections,
    }
  }
  
  $sql_file = "/etc/saml2-attribute-authority/populate.sql"


  class { 'mysql::server':
    root_password      => "$mysql_password",
    override_options   => $override_options,
    package_name       => "${mysqlpkg}"
  }
  
  file { "${sql_file}":
    ensure             => present,
    content            => template("ocpattrauth/populate.sql.erb"),
    owner              => "root",
    group              => "root",
    mode               => 0600,
  }
  
  mysql::db { "${aa_db_name}":
    ensure             => 'present',
    user               => "${aa_db_user}",
    password           => "${aa_db_password}",
    host               => "${aa_db_host}",
    grant              => "ALL",
    sql                => "${sql_file}",
    
    charset            => 'latin1',
    collate            => 'latin1_general_ci',
    
    require            => File["${sql_file}"],
    
  }

}
